<?php

$var = 'stringvalue';
echo xml_encode($var, false, 'stringroot');
// Expect the following
/*
<verbatim>
 <?xml version="1.0" encoding="UTF-8" ?> 
 <stringroot>stringvalue</stringroot>
</verbatim> 
 */

$var = 'stringvalue';
echo xml_encode($var, true, 'stringroot');
// Expect the following
/*
<verbatim>
 <?xml version="1.0" encoding="UTF-8" ?> 
 <stringroot id="1">stringvalue</stringroot>
</verbatim> 
 */

$var = array("Smith", 20);
echo xml_encode($var, false, "foo");

// Expect the following
/*
<verbatim> 
<?xml version="1.0" encoding="UTF-8" ?> 
<foo>
  <item>Smith</item> 
  <item>20</item> 
</foo>
</verbatim>
 */

$var = array('name' => "Smith", 'address' => array('line1' => 'This lane', 'line2' => 'Somewhere'));
echo xml_encode($var, false, "foo");

// Expect the following
/*
<verbatim>
<?xml version="1.0" encoding="UTF-8" ?> 
<foo>
  <name>Smith</name> 
  <address>
    <line1>This lane</line1> 
    <line2>Somewhere</line2> 
  </address>
</foo>
</verbatim>
 */
?>